Subject: A question regarding RFC2205

From: "Jiang, Donghua (Donghua)" <[email-masked]>
Date: Mon, 23 Jul 2001 16:31:58 -0400

Hi all,

On page 19 of RFC2205, first paragraph, "The same interface may act in both
the incoming and outgoing roles for different data flows in the same
session."

It is understandable that an interface can act either in incoming role or in
outgoing role depending on the directions of data flows.  However, when the
data flows are in different directions, they should not be considered as "in
the same session".  Does the RFC mean two data flows, one direction each, in
two sessions, or two data flows, one direction each, in one session?

Regards,
Jane

---

From: David Charlap <[email-masked]>
Date: Mon, 23 Jul 2001 16:55:26 -0400

"Jiang, Donghua (Donghua)" wrote:
> 
> On page 19 of RFC2205, first paragraph, "The same interface may act
> in both the incoming and outgoing roles for different data flows in
> the same session."
> 
> It is understandable that an interface can act either in incoming
> role or in outgoing role depending on the directions of data flows.
> However, when the data flows are in different directions, they
> should not be considered as "in the same session".  Does the RFC
> mean two data flows, one direction each, in two sessions, or two
> data flows, one direction each, in one session?

It means multiple data flows in one session, just as it says.

Think about multicast destination addresses and you should easily be
able to come up with some topologies where data for a single session may
flow in both directions over a single link.

This scenario can't happen with a unicast destination address, so it's
of little importance to someone using RSVP to signal MPLS.  But it is
quite important if RSVP is to be used as it was originally intended -
for making resource reservations over a hop-by-hop multicast network.

-- David